<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class FormDaily44 extends Model
{
    use HasFactory;

    protected $table = 'form_daily_4_4'; // Specify the table name

    protected $fillable = [
        'id_farm_section',
        'created_by',
        'cara_pengawasan',
        'lokasi_blok',
        'nama_perosak',
        'bil_perosak_peratusan_kerosakan',
        'kaedah_kawalan',
        'nama_operator',
    ];

    // Define relationships if necessary
    public function farmSection()
    {
        return $this->belongsTo(Farm_section::class, 'id_farm_section');
    }

    public function createdBy()
    {
        return $this->belongsTo(Login::class, 'created_by');
    }
}
